## ruby-re2 0.6.0

=== debian/changelog ===
ruby-re2 (0.6.0-1) unstable; urgency=medium

  * New upstream version: fix FTBFS (Closes: #748118)
  * Upload to unstable
  * Bump copyright years

 -- David Suárez <david.sephirot@gmail.com>  Wed, 04 Jun 2014 20:12:06 +0200

ruby-re2 (0.5.0-1) experimental; urgency=medium

  * Initial release (Closes: #735672)

 -- David Suárez <david.sephirot@gmail.com>  Sun, 26 Jan 2014 17:08:13 +0100
