=== debian/control ===
Source: ruby-re2
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: David Suárez <david.sephirot@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               gem2deb (>= 0.6.1~),
               libre2-dev,
               ruby-minitest
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-re2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-re2.git;a=summary
Homepage: http://github.com/mudge/re2
XS-Ruby-Versions: all

Package: ruby-re2
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter, ${misc:Depends}, ${shlibs:Depends}
Description: Ruby bindings to re2
 Ruby bindings to re2, "an efficient, principled regular expression library".
 .
 RE2 is a fast, safe, thread-friendly alternative to backtracking regular
 expression engines like those used in PCRE, Perl, and Python.
