## ruby-re2 0.7.0

=== debian/changelog ===
ruby-re2 (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * Build with --std=c++11. RE2 now requires this. (Closes: #820349)
  * Bump Standards-Version to 3.9.8, no changes needed.

  [ Cédric Boutillier ]
  * Switch VCS fields to use https.
  * Bump compat level to 9.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 08 May 2016 20:03:48 +0200

ruby-re2 (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh packaging:
    + Bump Standards-Version to 3.9.6
    + Update Vcs-Browser to use cgit
    + Add Testsuite field
    + Use rake-based test runner

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 06 May 2015 21:39:05 +0200
