=== debian/control ===
Source: ruby-re2
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: David Suárez <david.sephirot@gmail.com>
Build-Depends: debhelper (>= 9~),
               gem2deb,
               libre2-dev,
               rake,
               ruby-minitest
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-re2.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-re2.git
Homepage: http://github.com/mudge/re2
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-re2
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ruby bindings to re2
 Ruby bindings to re2, "an efficient, principled regular expression library".
 .
 RE2 is a fast, safe, thread-friendly alternative to backtracking regular
 expression engines like those used in PCRE, Perl, and Python.
