## ruby-re2 1.1.1

=== debian/changelog ===
ruby-re2 (1.1.1-2) unstable; urgency=medium

  * Team upload
  * Reupload to unstable
  * Bump standards version to 4.1.3

 -- Pirate Praveen <praveen@debian.org>  Wed, 21 Feb 2018 20:00:45 +0530

ruby-re2 (1.1.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Bump standards version to 4.0.0
  * Drop patch: c++11 (applied upstream)
  * Add patch: require-spec-helper.patch (fix tests)

 -- Pirate Praveen <praveen@debian.org>  Sat, 19 Aug 2017 11:04:33 +0530
