## ruby-re2 1.2.0

=== debian/changelog ===
ruby-re2 (1.2.0-1build5) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 15:57:39 -0300

ruby-re2 (1.2.0-1build4) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 17 Nov 2021 19:00:34 -0300

ruby-re2 (1.2.0-1build3) hirsute; urgency=medium

  * No-change rebuild for libre2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Dec 2020 16:47:35 +0100

ruby-re2 (1.2.0-1build2) groovy; urgency=medium

  * No-change rebuild against libre2-8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 27 Jul 2020 17:56:23 +0000

ruby-re2 (1.2.0-1build1) groovy; urgency=medium

  * No-change rebuild against libre2-7

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 21 May 2020 23:28:02 -0700

ruby-re2 (1.2.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * New upstream release.
  * Bump copyright years.
  * Bump debhelper compat to 12.
  * Declare Rules-Requires-Root: no.
  * Update VCS URLs to salsa.debian.org.
  * Use https URLs in package metadata.
  * Bump Standards-Version to 4.5.0, no changes needed.

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

 -- Stefano Rivera <stefanor@debian.org>  Mon, 11 May 2020 16:26:18 -0700
