=== debian/control ===
Source: ruby-re2
Section: ruby
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: David Suárez <david.sephirot@gmail.com>
Build-Depends: debhelper-compat (=12),
               gem2deb,
               libre2-dev,
               rake,
               ruby-rspec
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-re2.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-re2
Homepage: https://github.com/mudge/re2
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-re2
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ruby bindings to re2
 Ruby bindings to re2, "an efficient, principled regular expression library".
 .
 RE2 is a fast, safe, thread-friendly alternative to backtracking regular
 expression engines like those used in PCRE, Perl, and Python.
