## ruby-re2 1.4.0

=== debian/changelog ===
ruby-re2 (1.4.0-1) unstable; urgency=medium

  * Team Upload

  [ Sruthi Chandran ]
  * Update minimum version of gem2deb to 1.0

  [ Cédric Boutillier ]
  * Update team name
  * Add .gitattributes to keep unwanted files out of the source package

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Pirate Praveen ]
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * New upstream version 1.4.0

 -- Pirate Praveen <praveen@debian.org>  Sat, 30 Jul 2022 12:41:52 +0200
