=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: ruby-re2
 Section: ruby
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: David Suárez <david.sephirot@gmail.com>
-Build-Depends: debhelper-compat (=12),
-               gem2deb,
+Build-Depends: debhelper-compat (= 13),
+               gem2deb (>= 1.0~),
                libre2-dev,
                rake,
                ruby-rspec
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-re2.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-re2
 Homepage: https://github.com/mudge/re2
