## ruby-re2 1.6.0

=== debian/changelog ===
ruby-re2 (1.6.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.6.0

 -- Vinay Keshava <vinaykeshava@disroot.org>  Sun, 20 Nov 2022 23:48:02 +0530
