=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Package: ruby-re2
 Architecture: any
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby | ruby-interpreter,
+Depends: ${ruby:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Ruby bindings to re2
