## ruby-re2 1.7.0

=== debian/changelog ===
ruby-re2 (1.7.0-1) unstable; urgency=medium

  * Team Upload. 

  [ Debian Janitor ]
  * Apply multi-arch hints. + ruby-re2: Add Multi-Arch: same.

  [ Mohammed Bilal ]
  * New upstream version 1.7.0
  * Drop X*-Ruby-Versions fields
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Mohammed Bilal <rmb@debian.org>  Fri, 27 Oct 2023 17:08:31 +0530
