=== debian/control ===
--- 
+++ 
@@ -8,20 +8,19 @@
                libre2-dev,
                rake,
                ruby-rspec
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-re2.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-re2
 Homepage: https://github.com/mudge/re2
 Testsuite: autopkgtest-pkg-ruby
-XS-Ruby-Versions: all
 Rules-Requires-Root: no
 
 Package: ruby-re2
 Architecture: any
-XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${ruby:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Multi-Arch: same
 Description: Ruby bindings to re2
  Ruby bindings to re2, "an efficient, principled regular expression library".
  .
