## ruby-re2 2.7.0

=== debian/changelog ===
ruby-re2 (2.7.0-3) unstable; urgency=medium

  * Add patch to make build reproducible
  * debian/clean: cleanup build directory
  * debian/gbp.conf: add config for trixie branch

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 22 Apr 2025 20:29:10 -0300

ruby-re2 (2.7.0-2) unstable; urgency=medium

  * Team upload.
  * d/p/link-libatomic.patch: optionally use libatomic
  * d/rules: link libatomic in armel builds

 -- Athos Ribeiro <athoscribeiro@gmail.com>  Fri, 03 May 2024 00:17:35 -0300

ruby-re2 (2.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Pirate Praveen <praveen@debian.org>  Mon, 22 Jan 2024 18:05:25 +0530

ruby-re2 (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sat, 30 Dec 2023 13:42:50 +0530

ruby-re2 (2.5.0-1) experimental; urgency=medium

  * Team Upload.
  * New upstream version 2.5.0
  * Move debian/watch to gemwatch.debian.net
  * Refresh patches
  * Add build dependency on ruby-mini-portile2, cmake and pkg-config

 -- Pirate Praveen <praveen@debian.org>  Sat, 16 Dec 2023 16:25:12 +0530
