=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,11 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/architecture.mk
+
+ifneq (,$(filter $(DEB_BUILD_ARCH),armel))
+export X_DEB_LINK_ATOMIC=1
+endif
 
 export GEM2DEB_TEST_RUNNER = --check-dependencies
