## ruby-re2 2.23.0

=== debian/changelog ===
ruby-re2 (2.23.0-1) unstable; urgency=medium

  * Team upload.

  [ Pirate Praveen ]
  * Team upload.
  * New upstream version 2.14.0
  * Bump Standards-Version to 4.7.0 (no changes needed)
  * Refresh patches
  * Update minimum version of ruby-mini-portile2 to 2.8.7~

  [ Lucas Nussbaum ]
  * debian/gbp.conf: Add for DEP-14
  * debian/.gitattributes: remove
  * debian/salsa-ci.yml: use team-specific include

  [ Simon Quigley ]
  * Upgrade watch file to version 5.
  * New upstream release.
  * Update Standards-Version to 4.7.3.
  * pkg-config -> pkgconf.
  * Drop Rules-Requires-Root field, it is now redundant.
  * Bump build dependency on ruby-mini-portile2 to 2.8.9.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 23 Feb 2026 14:18:27 -0600
