=== debian/control ===
Source: ruby-re2
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: David Suárez <david.sephirot@gmail.com>
Section: ruby
Testsuite: autopkgtest-pkg-ruby
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               libre2-dev,
               rake,
               ruby-rspec,
               ruby-mini-portile2 (>= 2.8.9~),
               cmake,
               pkgconf
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-re2
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-re2.git
Homepage: https://github.com/mudge/re2

Package: ruby-re2
Architecture: any
Multi-Arch: same
Depends: ${ruby:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ruby bindings to re2
 Ruby bindings to re2, "an efficient, principled regular expression library".
 .
 RE2 is a fast, safe, thread-friendly alternative to backtracking regular
 expression engines like those used in PCRE, Perl, and Python.
