=== debian/watch ===
Version: 5
Source: https://gemwatch.debian.net/re2
Matching-Pattern: .*/re2-(.*).tar.gz
